<?php
/*-----------------------------------------------------------------------------------*/
/* Framework Settings page - woothemes_framework_settings_page */
/*-----------------------------------------------------------------------------------*/

function woothemes_framework_settings_page(){

    $themename =  get_option( 'woo_themename' );      
    $manualurl =  get_option( 'woo_manual' ); 
	$shortname =  'framework_woo'; 

    //Framework Version in Backend Head
    $woo_framework_version = get_option( 'woo_framework_version' );
    
    //Version in Backend Head
    $theme_data = get_theme_data( get_template_directory() . '/style.css' );
    $local_version = $theme_data['Version'];
    
    //GET themes update RSS feed and do magic
	include_once(ABSPATH . WPINC . '/feed.php' );

	$pos = strpos($manualurl, 'documentation' );
	$theme_slug = str_replace( "/", "", substr($manualurl, ($pos + 13))); //13 for the word documentation
	
    //add filter to make the rss read cache clear every 4 hours
    add_filter( 'wp_feed_cache_transient_lifetime', create_function( '$a', 'return 14400;' ) );
	
	$framework_options = array();
	
	$framework_options[] = array( 	"name" => "General / Общие",
									"icon" => "general",
									"type" => "heading" );
									
	$framework_options[] = array( 	"name" => "Супер-пользователь (логин)",
									"desc" => "Введите <strong>супер-пользователя</strong>, чтобы спрятать настройки и возможность обновления фреймворка от других пользователей. Может быть сброшено в разделе <a href='".home_url()."/wp-admin/options.php'>Настройки WP</a> в меню <em>framework_woo_super_user</em>.",
									"id" => $shortname."_super_user", 
									"std" => "",
									"class" => "text",
									"type" => "text" );		

	$framework_options[] = array( 	"name" => "Отключить SEO-меню",
									"desc" => "Отключите <strong>SEO-меню</strong> в настройках темы.",
									"id" => $shortname."_seo_disable",
									"std" => "",
									"type" => "checkbox" );	

	$framework_options[] = array( 	"name" => "Отключить управление Боковым меню",
									"desc" => "Отключите управление <strong>Боковым меню</strong> в настройках темы.",
									"id" => $shortname."_sbm_disable",
									"std" => "",
									"type" => "checkbox" );	

	$framework_options[] = array( 	"name" => "Отключить меню Покупка тем",
									"desc" => "Отключите <strong>Покупку тем</strong> в настройках темы.",
									"id" => $shortname."_buy_themes_disable",
									"std" => "",
									"type" => "checkbox" );	
								
	$framework_options[] = array( 	"name" => "Включить Пользовательскую навигацию",
									"desc" => "Включите старую <strong>Пользовательскую навигацию</strong> или попробуйте использовать <a href='".home_url()."/wp-admin/nav-menus.php'>Меню WP</a> взамен.",
									"id" => $shortname."_woonav",
									"std" => "",
									"type" => "checkbox" );	

	$framework_options[] = array( 	"name" => "Оповещение об обновлениях",
									"desc" => "Включите оповещение о доступности новой версии темы на панели управления.",
									"id" => $shortname."_theme_version_checker",
									"std" => "",
									"type" => "checkbox" );	

	$framework_options[] = array( 	"name" => "Отключить shortcodes.css",
									"desc" => "Отключите добавление shortcodes.css в секцию HEAD вашего сайта.",
									"id" => $shortname."_disable_shortcodes",
									"std" => "",
									"type" => "checkbox" );	
									
	$framework_options[] = array( 	"name" => "Отключить генератор мета-тегов",
									"desc" => "Отключите генератор мета-тегов для секции HEAD вашего сайта.",
									"id" => $shortname."_disable_generator",
									"std" => "",
									"type" => "checkbox" );	

										
	$framework_options[] = array( 	"name" => "Заглушка",
									"desc" => "Выберите заглушку, для случаев, когда миниатюра отсутсвует.",
									"id" => $shortname."_default_image",
									"std" => "",
									"type" => "upload" );

	$framework_options[] = array( 	"name" => "Branding / Брендинг",
									"icon" => "misc",
									"type" => "heading" );
	
	$framework_options[] = array( 	"name" => "Изображение в шапке для панели настроек",
									"desc" => "Измените изображение шапки в настройках темы.",
									"id" => $shortname."_backend_header_image",
									"std" => "",
									"type" => "upload" );
									
	$framework_options[] = array( 	"name" => "Иконка для панели настроек",
									"desc" => "Измените иконку для панели настроек, которая отображается в списке меню в админке WordPress.",
									"id" => $shortname."_backend_icon",
									"std" => "",
									"type" => "upload" );
									
	$framework_options[] = array( 	"name" => "Лого при входе в админку WordPress",
									"desc" => "Измените изображение для входа в админку WordPress.",
									"id" => $shortname."_custom_login_logo",
									"std" => "",
									"type" => "upload" );

	$framework_options[] = array( 	"name" => "Import / Export",
									"icon" => "misc",
									"type" => "heading" );
									
	$framework_options[] = array( 	"name" => "Настройки импорта",
									"desc" => "Импортируйте настройки из другой инсталляции темы.",
									"id" => $shortname."_import_options",
									"std" => "",
									"type" => "textarea" );
																		
								//Create, Encrypt and Update the Saved Settings
                                global $wpdb;
								delete_option( 'framework_woo_export_options' );
                                $options = get_option( 'woo_template' );
                                $query_inner = '';
                                $count = 0;
								foreach( $options as $option ) {
									
									if(isset($option['id'])){ 
										$count++;
										$option_id = $option['id'];
										
										if($count > 1){ $query_inner .= ' OR '; }
										$query_inner .= "option_name = '$option_id'";
										
										if ( is_array( $option['type'] ) ) {
											foreach ( $option['type'] as $o ) {
												if($count > 1){ $query_inner .= ' OR '; }
												if ( isset( $o['id'] ) ) {
													$option_id = $o['id'];
													$query_inner .= "option_name = '$option_id'";
												}
											}
										}
										
									}
									
								}
								
								// Add Sidebar Manager data to the WooFramework exporter.
								$query_inner .= " OR option_name = 'sbm_woo_sbm_options'";
								
								// Allow child themes/plugins to add their own data to the exporter.
								$query_inner = apply_filters( 'wooframework_export_query_inner', $query_inner );
								
								$query = "SELECT * FROM $wpdb->options WHERE $query_inner";
								                                
                                $results = $wpdb->get_results($query);
                                
                                foreach ($results as $result){
                                
                                     $output[$result->option_name] = $result->option_value;
                                
                                } // End FOREACH Loop
                                
                                $output = serialize($output);										
													
	$framework_options[] = array( 	"name" => "Экспорт настрек",
									"desc" => "Экспортируйте настройки в другую инсталляцию вашей темы, или сделайте резервную копию настроек.",
									"id" => $shortname."_export_options",
									"std" => base64_encode($output),
									"type" => "textarea" );
									
/*
	$framework_options[] = array( 	"name" => "Font Stacks (Beta)",
									"icon" => "typography",
									"type" => "heading" );		
	
	$framework_options[] = array( 	"name" => "Font Stack Builder",
									"desc" => "Use the font stack builder to add your own custom font stacks to your theme.
									To create a new stack, fill in the name and a CSS ready font stack.
									Once you have added a stack you can select it from the font menu on any of the 
									Typography settings in your theme options.",
									"id" => $shortname."_font_stack", 
									"std" => "Added Font Stacks",
									"type" => "string_builder" );
*/
	
	global $wp_version;
	
	if ( $wp_version >= '3.1' ) {
	
	$framework_options[] = array( 	"name" => "Admin bar / Админ-меню",
									"icon" => "header",
									"type" => "heading" );
									
	$framework_options[] = array( 	"name" => "Отключить горизонтальное меню WordPress",
									"desc" => "Вы можете отключить горизонтальное административное меню WordPress на сайте.",
									"id" => $shortname."_admin_bar_disable",
									"std" => "",
									"type" => "checkbox" );
									
	$framework_options[] = array( 	"name" => "Включить дополнения WooFramework в горизонтальном административном меню",
									"desc" => "Вы можете включить несколько дополнений WooFramework, для прямого доступа с горизонтального административного меню WordPress, например, Пользовательскую навигацию.",
									"id" => $shortname."_admin_bar_enhancements",
									"std" => "",
									"type" => "checkbox" );
									
	}
    
    update_option( 'woo_framework_template', $framework_options );
    
	?>

    <div class="wrap" id="woo_container">
    <div id="woo-popup-save" class="woo-save-popup"><div class="woo-save-save">Настройки обновлены</div></div>
    <div id="woo-popup-reset" class="woo-save-popup"><div class="woo-save-reset">Настройки сбошены</div></div>
        <form action="" enctype="multipart/form-data" id="wooform" method="post">
        <?php
	    	// Add nonce for added security.
	    	if ( function_exists( 'wp_nonce_field' ) ) { wp_nonce_field( 'wooframework-framework-options-update' ); } // End IF Statement
	    	
	    	$woo_nonce = '';
	    	
	    	if ( function_exists( 'wp_create_nonce' ) ) { $woo_nonce = wp_create_nonce( 'wooframework-framework-options-update' ); } // End IF Statement
	    	
	    	if ( $woo_nonce == '' ) {} else {
	    	
	    ?>
	    	<input type="hidden" name="_ajax_nonce" value="<?php echo $woo_nonce; ?>" />
	    <?php
	    	
	    	} // End IF Statement
	    ?>
            <div id="header">
                <div class="logo">
                <?php if(get_option( 'framework_woo_backend_header_image')) { ?>
                <img alt="" src="<?php echo get_option( 'framework_woo_backend_header_image' ); ?>"/>
                <?php } else { ?>
                <img alt="WooThemes" src="<?php echo get_template_directory_uri(); ?>/functions/images/logo.png"/>
                <?php } ?>
                </div>
                <div class="theme-info">
                    <span class="theme"><?php echo $themename; ?> <?php echo $local_version; ?></span>
                    <span class="framework">Framework <?php echo $woo_framework_version; ?></span>
                </div>
                <div class="clear"></div>
            </div>
            <div id="support-links">
                <ul>
                    <li class="changelog"><a title="Журнал изменений" href="<?php echo $manualurl; ?>#Changelog">Посмотреть журнал</a></li>
                    <li class="docs"><a title="Документация темы" href="<?php echo $manualurl; ?>">Посмотреть документацию</a></li>
                    <li class="forum"><a href="http://forum.woothemes.com" target="_blank">Посетить форум</a></li>
                    <li class="right"><img style="display:none" src="<?php echo get_template_directory_uri(); ?>/functions/images/loading-top.gif" class="ajax-loading-img ajax-loading-img-top" alt="Работаем..." /><a href="#" id="expand_options">[+]</a> <input type="submit" value="Сохранить все изменения" class="button submit-button" /></li>
                </ul>
            </div>
            <?php $return = woothemes_machine($framework_options); ?>
            <div id="main">
                <div id="woo-nav">
                    <ul>
                        <?php echo $return[1]; ?> 
                    </ul>		
                </div>
                <div id="content">
   				<?php echo $return[0]; ?> 
                </div>
                <div class="clear"></div>
                
            </div>
            <div class="save_bar_top">
            <input type="hidden" name="woo_save" value="save" />
            <img style="display:none" src="<?php echo get_template_directory_uri(); ?>/functions/images/loading-bottom.gif" class="ajax-loading-img ajax-loading-img-bottom" alt="Работаем..." />
            <input type="submit" value="Сохранить все изменения" class="button submit-button" />        
            </form>
            
            <form action="<?php echo esc_html( $_SERVER['REQUEST_URI'] ) ?>" method="post" style="display:inline" id="wooform-reset">
            <?php
		    	// Add nonce for added security.
		    	if ( function_exists( 'wp_nonce_field' ) ) { wp_nonce_field( 'wooframework-framework-options-reset' ); } // End IF Statement
		    	
		    	$woo_nonce = '';
		    	
		    	if ( function_exists( 'wp_create_nonce' ) ) { $woo_nonce = wp_create_nonce( 'wooframework-framework-options-reset' ); } // End IF Statement
		    	
		    	if ( $woo_nonce == '' ) {} else {
		    	
		    ?>
		    	<input type="hidden" name="_ajax_nonce" value="<?php echo $woo_nonce; ?>" />
		    <?php
		    	
		    	} // End IF Statement
		    ?>
            <span class="submit-footer-reset">
<!--             <input name="reset" type="submit" value="Reset Options" class="button submit-button reset-button" onclick="return confirm( 'Click OK to reset. Any settings will be lost!' );" /> -->
            <input type="hidden" name="woo_save" value="reset" /> 
            </span>
        	</form>
            
            
            </div>    
    
    <div style="clear:both;"></div>    
    </div><!--wrap-->

<?php } ?>