<?php
/*-----------------------------------------------------------------------------------*/
/* SEO - woothemes_seo_page */
/*-----------------------------------------------------------------------------------*/

function woothemes_seo_page(){

    $themename =  get_option( 'woo_themename' );      
    $manualurl =  get_option( 'woo_manual' ); 
	$shortname =  'seo_woo'; 
	
    //Framework Version in Backend Head
    $woo_framework_version = get_option( 'woo_framework_version' );
    
    //Version in Backend Head
    $theme_data = get_theme_data( get_template_directory() . '/style.css' );
    $local_version = $theme_data['Version'];
    
    //GET themes update RSS feed and do magic
	include_once(ABSPATH . WPINC . '/feed.php' );

	$pos = strpos($manualurl, 'documentation' );
	$theme_slug = str_replace( "/", "", substr($manualurl, ($pos + 13))); //13 for the word documentation
	
    //add filter to make the rss read cache clear every 4 hours
    add_filter( 'wp_feed_cache_transient_lifetime', create_function( '$a', 'return 14400;' ) );
	
	$inner_pages = array(	'a' => 'Заголовк страницы; Название сайта',
							'b' => 'Заголовк страницы;',
							'c' => 'Название сайта; Заголовк страницы;',
							'd' => 'Заголовк страницы; Описание сайта',
							'e' => 'Название сайта; Заголовк страницы; Описание сайта'
						);
	
	$seo_options = array();
	
	$seo_options[] = array( "name" => "General / Общие",
					"icon" => "general",
					"type" => "heading" );
					
	$seo_options[] = array( "name" => "Пожалуйста, прочтите",
					"type" => "info",
					"std" => "Добро пожаловать в настройки WooSEO. <br /><small>Мы поможем вам оптимизировать сайт с помощью некоторых встроенных функций темы. Наши темы также поддерживают самые популярные SEO-плагины - <strong>All-in-One SEO Pack</strong>, <strong>Headspace 2</strong> и <strong>WordPress SEO By Yoast</strong>. Поставьте галочку, если хотите использовать сторонний плагин.</small>" );

	$seo_options[] = array( "name" => "Использовать сторонний плагин",
					"desc" => "Мета-информация, уже введенная с помощью <strong>произвольных полей при редактировании страниц/статей</strong> будет использоваться, там где это возможно. Обычно это не включает главную страницу и архивы, и работает только для страниц/статей.",	
					"id" => $shortname."_use_third_party_data",
					"std" => "false",
					"type" => "checkbox" ); 
					
	$seo_options[] = array( "name" => "Спрятать произвольные SEO-поля",
					"desc" => "Поставьте галочку, если хотите спрятать произвольные SEO-поля на панели редактирования страниц/статей.",	
					"id" => $shortname."_hide_fields",
					"std" => "false",
					"type" => "checkbox" ); 
				
	$seo_options[] = array( "name" => "Title / Заголовок",
					"icon" => "misc",
					"type" => "heading" );
					
	$seo_options[] = array( "name" => "Разделитель",
					"desc" => "Выберите разделитель для использования в заголовке.",
					"id" => $shortname."_seperator",
					"std" => "|",
					"type" => "text" );
					
	$seo_options[] = array( "name" => "Название сайта",
					"desc" => "Внимание: это такая же настройка, как в меню Настройки > Общие в админке WordPress.",
					"id" => "blogname",
					"std" => "",
					"type" => "text" );
					
	$seo_options[] = array( "name" => "Описание сайта",
					"desc" => "Внимание: это такая же настройка, как в меню Настройки > Общие в админке WordPress.",
					"id" => "blogdescription",
					"std" => "",
					"type" => "text" );
					
	$seo_options[] = array( "name" => "Включить woo_title()",
					"desc" => "woo_title() использует встроенную функцию WordPress wp_title(). Это также рекомендуется при использовании плагинов.",
					"id" => $shortname."_wp_title",
					"std" => "false",
					"class" => "collapsed",
					"type" => "checkbox" ); 
					
	$seo_options[] = array( "name" => "Отключить пользовательские заголовки",
					"desc" => "Отключите, если хотите использовать в мета-тегах заголовки самих страниц. Иначе они будут сгенерированы из произвольных полей и данных плагинов.",
					"id" => $shortname."_wp_custom_field_title",
					"std" => "false",
					"class" => "hidden",
					"type" => "checkbox" ); 
					
	$seo_options[] = array( "name" => "Текст для постраничной навигации",
					"desc" => "Слово, которое будет появлятся в заголовке при постраничной навигации.",
					"id" => $shortname."_paged_var",
					"std" => "Страница",
					"class" => "hidden",
					"type" => "text" );
					
	$seo_options[] = array( "name" => "Разположение текста",
					"desc" => "Укажите, где должно появляться это слово.",
					"id" => $shortname."_paged_var_pos",
					"std" => "before",
					"class" => "hidden",
					"options" => array(	'before' => 'До',
										'after' => 'После'),
					"type" => "select2" );
																
	$seo_options[] = array( "name" => "Структура заголовка главной страницы",
					"desc" => "Выберите порядок, в котором отображается название сайта и описание на главной.",
					"id" => $shortname."_home_layout",
					"std" => "",
					"class" => "hidden",
					"options" => array(	'a' => 'Название сайта; описание сайта',
										'b' => 'Название сайта',
										'c' => 'Описание сайта'),
					"type" => "select2" );
					
	$seo_options[] = array( "name" => "структура заголовка для статьи",
					"desc" => "Выберите порядок, в котором отображается заголовк, описание для статьи.",
					"id" => $shortname."_single_layout",
					"std" => "",
					"class" => "hidden",
					"options" => $inner_pages,
					"type" => "select2" );
					
	$seo_options[] = array( "name" => "Структура заголовка страницы",
					"desc" => "Выберите порядок, в котором отображается заголовк, описание для страница.",
					"id" => $shortname."_page_layout",
					"std" => "",
					"class" => "hidden",
					"options" => $inner_pages,
					"type" => "select2" );
					
	$seo_options[] = array( "name" => "Структура заголовка архива",
					"desc" => "Выберите порядок, в котором отображается заголовк, описание для архивов.",
					"id" => $shortname."_archive_layout",
					"std" => "",
					"class" => "hidden",
					"options" => $inner_pages,
					"type" => "select2" );
					
	$seo_options[] = array( "name" => "Indexing / Индексация",
					"icon" => "misc",
					"type" => "heading" );
					
	/*$seo_options[] = array( "name" => "Add Indexing Meta",
					"desc" => "Add links to the header telling the search engine what the start, next, previous and home urls are.",
					"id" => $shortname."_meta_basics",
					"std" => "false",
					"type" => "checkbox" ); */
	
	$seo_options[] = array( "name" => "Индексация архивов",
					"desc" => "Выберите, какие типы архивов индексировать. Помогает избежать дублирования контента и понижения его значимости в поисковых системах.",
					"id" => $shortname."_meta_indexing",
					"std" => "category",
					"type" => "multicheck",
					"options" => array(	'category' => 'Рубрики',
										'tag' => 'Метки',
										'author' => 'Страницы автора',
										'search' => 'Результаты поиска',
										'date' => 'Архивы по датам')); 
										
	$seo_options[] = array( "name" => "Поставить для мета статьи/страницы 'follow' по-умолчанию",
					"desc" => "По-умолчанию woo_meta(); добавляет 'nofollow' к данным о статье и странице, это значит, что поисковая система не будет индексировать ссылки с этих страниц.",
					"id" => $shortname."_meta_single_follow",
					"std" => "",
					"type" => "checkbox" );					
	

	$seo_options[] = array( "name" => "Description / Описание",
					"icon" => "misc",
					"type" => "heading" );
					
	$seo_options[] = array( "name" => "Описание на главной",
					"desc" => "Выберите откуда брать описание для главной страницы.",
					"id" => $shortname."_meta_home_desc",
					"std" => "a",
					"options" => array(	"a" => "Отключено",
										"b" => "Из описания сайта в настройках WP",
										"c" => "Из пользовательского описания для главной страницы"),
					"type" => "radio" );
										
	$seo_options[] = array( "name" => "Пользовательское описание главной страницы",
					"desc" => "Добавить пользовательское описание в вашей главной странице.",
					"id" => $shortname."_meta_home_desc_custom",
					"std" => "",
					"type" => "textarea" );
	
	$seo_options[] = array( "name" => "Описание Статьи/Страницы",
					"desc" => "Добавьте свое описание Статьи/Страницы из произвольного поля. <strong>* См. ниже</strong>",
					"id" => $shortname."_meta_single_desc",
					"std" => "a",
					"options" => array(	"a" => "Отключить *",
										"b" => "Из произвольного поля и/или плагина",
										"c" => "Автоматически из содержания Статьи/Страницы",
										),
					"type" => "radio" );
					
	$seo_options[] = array( "name" => "Общее описание Статьи/Страницы",
					"desc" => "Добавьте свое мета-описание для Статей/Страниц. Оно будет показано, только если не доступны другие данные согласно настройкам выше. Будет добавлено, даже если в настройках выше стоит \"Отключить\".",
					"id" => $shortname."_meta_single_desc_sitewide",
					"std" => "",
					"class" => "collapsed",
					"type" => "checkbox" );		
					
	$seo_options[] = array( "name" => "Общее описание",
					"desc" => "Добавьте общее описание.",
					"id" => $shortname."_meta_single_desc_custom",
					"std" => "",
					"class" => "hidden",
					"type" => "textarea" );
										
	$seo_options[] = array( "name" => "Keywords / Ключевые слова",
					"icon" => "misc",
					"type" => "heading" );
					
	$seo_options[] = array( "name" => "Ключевые слова для главной страницы",
					"desc" => "Выберите откуда брать ключевые слова для главой страницы.",
					"id" => $shortname."_meta_home_key",
					"std" => "a",
					"options" => array(	"a" => "Отключено",
										"c" => "Из настроек, заданных ниже"),
					"type" => "radio" );
										
	$seo_options[] = array( "name" => "Ключевые слова для главной страниы",
					"desc" => "Добавьте разделенный запятыми список ключевых слов на главной.",
					"id" => $shortname."_meta_home_key_custom",
					"std" => "",
					"type" => "textarea" );
	
	$seo_options[] = array( "name" => "Ключевые слова для Статьи/Страницы",
					"desc" => "Добавьте свои ключевые слова для Статьи/Страницы в произвольное поле. <strong>* См. ниже</strong>",
					"id" => $shortname."_meta_single_key",
					"std" => "a",
					"options" => array(	"a" => "Отключено *",
										"b" => "Из произвольного поля и/или плагина",
										"c" => "Автоматически из меток и рубрик"),
					"type" => "radio" );
					
	$seo_options[] = array( "name" => "Общие ключевые слова для Статьи/Страницы",
					"desc" => "Добавьте ключевые слова для Статьи/Страницы, которые будут использоваться, если не доступны другие данные. Будут использоваться длаже если в настройках выше указано <strong>'Отключено'</strong>.",
					"id" => $shortname."_meta_single_key_sitewide",
					"std" => "",
					"class" => "collapsed",
					"type" => "checkbox" );		
					
	$seo_options[] = array( "name" => "Общие ключевые слова для Статьи/Страницы",
					"desc" => "Введите список общих ключевых слов, разделенных запятыми, для статей/страниц.",
					"id" => $shortname."_meta_single_key_custom",
					"std" => "",
					"class" => "hidden",
					"type" => "textarea" );
					
					
	update_option( 'woo_seo_template',$seo_options);
					
    
	?>

    <div class="wrap" id="woo_container">
    <?php
    
    	if(
    		class_exists( 'All_in_One_SEO_Pack') || 
    		class_exists( 'Headspace_Plugin') || 
    		class_exists( 'WPSEO_Admin' ) || 
    		class_exists( 'WPSEO_Frontend' )
    	  ) { 
				
			echo "<div id='woo-seo-notice' class='woo-notice'><p><strong>Обнаружены сторониие SEO-плагины</strong> - Некоторые SEO-функции WooTheme были отключены.</p></div>";
						
		}
    
    ?>  
    <?php
    
    	if ( get_option( 'blog_public') == 0 ) { 
				
			echo "<div id='woo-seo-notice-privacy' class='woo-notice'><p><strong>This site is set to Private</strong> - SEO is disabled, change settings <a href='". admin_url( 'options-privacy.php' ) . "'>here</a>.</p></div>";
						
		}
    
    ?>  
    <div id="woo-popup-save" class="woo-save-popup"><div class="woo-save-save">Настройки сохранены</div></div>
    <div id="woo-popup-reset" class="woo-save-popup"><div class="woo-save-reset">Настройки сброшены</div></div>
        <form action="" enctype="multipart/form-data" id="wooform">
        <?php
	    	// Add nonce for added security.
	    	if ( function_exists( 'wp_nonce_field' ) ) { wp_nonce_field( 'wooframework-seo-options-update' ); } // End IF Statement
	    	
	    	$woo_nonce = '';
	    	
	    	if ( function_exists( 'wp_create_nonce' ) ) { $woo_nonce = wp_create_nonce( 'wooframework-seo-options-update' ); } // End IF Statement
	    	
	    	if ( $woo_nonce == '' ) {} else {
	    	
	    ?>
	    	<input type="hidden" name="_ajax_nonce" value="<?php echo $woo_nonce; ?>" />
	    <?php
	    	
	    	} // End IF Statement
	    ?>
            <div id="header">
               <div class="logo">
                <?php if(get_option( 'framework_woo_backend_header_image')) { ?>
                <img alt="" src="<?php echo get_option( 'framework_woo_backend_header_image' ); ?>"/>
                <?php } else { ?>
                <img alt="WooThemes" src="<?php echo get_template_directory_uri(); ?>/functions/images/logo.png"/>
                <?php } ?>
                </div>
                <div class="theme-info">
                    <span class="theme"><?php echo $themename; ?> <?php echo $local_version; ?></span>
                    <span class="framework">Framework <?php echo $woo_framework_version; ?></span>
                </div>
                <div class="clear"></div>
            </div>
            <div id="support-links">
        
                <ul>
                    <li class="changelog"><a title="Журнал изменений" href="<?php echo $manualurl; ?>#Changelog">Посмотреть журнал</a></li>
                    <li class="docs"><a title="Документация темы" href="<?php echo $manualurl; ?>">Посмотреть документацию</a></li>
                    <li class="forum"><a href="http://forum.woothemes.com" target="_blank">Посетить форум</a></li>
                    <li class="right"><img style="display:none" src="<?php echo get_template_directory_uri(); ?>/functions/images/loading-top.gif" class="ajax-loading-img ajax-loading-img-top" alt="Работаем..." /><a href="#" id="expand_options">[+]</a> <input type="submit" value="Сохранить все изменения" class="button submit-button" /></li>
                </ul>
        
            </div>
            <?php $return = woothemes_machine($seo_options); ?>
            <div id="main">
                <div id="woo-nav">
                    <ul>
                        <?php echo $return[1]; ?>
                    </ul>		
                </div>
                <div id="content">
                <?php echo $return[0]; ?>
                </div>
                <div class="clear"></div>
                
            </div>
            <div class="save_bar_top">
            <img style="display:none" src="<?php echo get_template_directory_uri(); ?>/functions/images/loading-bottom.gif" class="ajax-loading-img ajax-loading-img-bottom" alt="Работаем..." />
            <input type="submit" value="Сохранить все изменения" class="button submit-button" />        
            </form>
            
            <form action="<?php echo esc_html( $_SERVER['REQUEST_URI'] ) ?>" method="post" style="display:inline" id="wooform-reset">
            <?php
		    	// Add nonce for added security.
		    	if ( function_exists( 'wp_nonce_field' ) ) { wp_nonce_field( 'wooframework-seo-options-reset' ); } // End IF Statement
		    	
		    	$woo_nonce = '';
		    	
		    	if ( function_exists( 'wp_create_nonce' ) ) { $woo_nonce = wp_create_nonce( 'wooframework-seo-options-reset' ); } // End IF Statement
		    	
		    	if ( $woo_nonce == '' ) {} else {
		    	
		    ?>
		    	<input type="hidden" name="_ajax_nonce" value="<?php echo $woo_nonce; ?>" />
		    <?php
		    	
		    	} // End IF Statement
		    ?>
            <span class="submit-footer-reset">
            <input name="reset" type="submit" value="Сбросить настройки" class="button submit-button reset-button" onclick="return confirm( 'Нажмите ОК, чтобы сбросить. Все настройки будут утеряны!' );" />
            <input type="hidden" name="woo_save" value="reset" /> 
            </span>
        	</form>

            
            </div>

    
    
    <div style="clear:both;"></div>    
    </div><!--wrap-->

<?php } ?>